<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="util.*,java.net.*" %>
<%@ page import="cn.gbase8.gswt.*" %>
<%
String uniqIDStr="";
String passStr="";
String passMask="************";
Cookie[] cookies = request.getCookies();
if(cookies != null && cookies.length > 0){
	for(int i=0; i< cookies.length; i++){
		if(cookies[i].getName().equals("uniqID")){
			uniqIDStr = URLDecoder.decode(cookies[i].getValue(),"utf-8");
		}else if (cookies[i].getName().equals("pass")){
			passStr = StringUtil.decryptDES(URLDecoder.decode(cookies[i].getValue(),"utf-8"));
		}
	}
}

if ("post".equalsIgnoreCase(request.getMethod())) {
  uniqIDStr = request.getParameter("uniqID");
  String str = request.getParameter("pass");
  if (!passMask.equals(str)) {
    passStr = str;
  }
  String saveLogin = request.getParameter("saveLogin");
  if (Common.isBlank(uniqIDStr) || uniqIDStr.length() < 4) {
    out.println("请输入最少4位的唯一标识");
  } else if (Common.isBlank(passStr) || passStr.length() < 8) {
    out.println("请输入最少8位的密码");
  } else {
    boolean ok = false;
    UniqID uid = new UniqID(uniqIDStr, passStr);
    if (!uid.exists()) {
      ok = uid.create();
      out.println("创建" + (ok ? "成功" : "失败"));
    } else if (uid.login()) {
      ok = true;
      Cookie nameCookie = new Cookie("uniqID", URLEncoder.encode(uniqIDStr, "utf-8"));
      nameCookie.setPath(request.getContextPath() + "/");// 设置cookie路径
      // 设置cookie保存的时间 单位：秒
      nameCookie.setMaxAge(7 * 24 * 60 * 60);
      // 将cookie添加到响应
      response.addCookie(nameCookie);

      Cookie passCookie = new Cookie("pass", "Y".equals(saveLogin) ? URLEncoder.encode(StringUtil.encryptDES(passStr), "utf-8") : null);
      passCookie.setPath(request.getContextPath() + "/");// 设置cookie路径
      // 设置cookie保存的时间 单位：秒
      passCookie.setMaxAge("Y".equals(saveLogin) ? 7 * 24 * 60 * 60 : 0);
      // 将cookie添加到响应
      response.addCookie(passCookie);

      out.println("登录成功");
    } else {
      out.println("用户或密码错误");
    }
    if (ok) {
      session.setAttribute("_GBASE_UIIQID", uid);
      out.println("<script type='text/javascript'>top.location='index.jsp'</script>");
    }
  }
}else {
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>登录</title>
</head>
<body>

<form method="post" action="login.jsp"><%=Common.isBlank(passStr)?"":"<input type='hidden' name='useCookie' value='true'>" %>
<table>
<caption>登录</caption>
<tr>
  <td>用户</td>
  <td>
    <input type="text" name="uniqID"  value="<%=Common.noNull(uniqIDStr)%>" />长度最少4
  </td>
</tr>
<tr>
  <td>密码</td><td><input type="password" name="pass" value="<%=Common.isBlank(passStr)?"":passMask%>" />长度最少8</td>
</tr>
<tr>
  <td>保存</td><td><input type="checkbox" name="saveLogin" value="Y" <%=Common.isBlank(passStr)?"":"checked"%>/></td>
</tr>
<tr>
  <td colspan="2"><input type="submit" value="登录" style="width:100%"/></td>
</tr>
</table>
如果用户不存在，将自动创建。
</form>  
<%}%>
</body>
</html>