<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="util.*,cn.gbase8.gswt.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>配置数据库连接</title>
</head>
<body>
<%@ include file ="checklogin.inc.jsp" %>
<a href="index.jsp">主页</a> <a href="selectConnection.jsp">选择连接</a>
<%
  request.setCharacterEncoding("utf-8");
  GBaseConnectionParamater gcp = (GBaseConnectionParamater)loginUID.getGcp();
  if(gcp == null){
	  gcp = new GBaseConnectionParamater();
  }
  
  if("post".equalsIgnoreCase(request.getMethod())){
	  gcp.serverIP=request.getParameter("serverIP");
	  gcp.username=request.getParameter("username");
	  gcp.password=request.getParameter("password");
	  gcp.dbName=request.getParameter("dbName");
	  gcp.comment=request.getParameter("comment");
	  boolean check = true;
	  try{
	  		int limit = Integer.parseInt(request.getParameter("limit"));
	  		gcp.setLimit(limit);
	  		if(limit<1 || limit >  GBaseConnectionParamater.limit_MAX){
	  			out.println("结果集行数必须在1到"+GBaseConnectionParamater.limit_MAX+"之间");
	  			check=false;
	  		}
	  }catch(Exception ex){
		  out.println("结果集行数必须为整数");
		  check = false;
	  }
	  

	  try{
	  		int timeout = Integer.parseInt(request.getParameter("timeout"));
	  		gcp.setTimeout(timeout);
	  		if(timeout<1){
	  			out.println("超时时间不能小于1");
	  			check=false;
	  		}
	  }catch(Exception ex){
		  out.println("超时时间必须是整数");
		  check = false;
	  }
	  
	  
	  if(Common.isBlank(gcp.comment)) {
		  out.println("请输入注释");
	  }else {
		  gcp.checked=Common.checkConnection(gcp);
		  if(gcp.checked) {
	        loginUID.saveGBaseConnectionParamater(gcp);
	        loginUID.setGcp(gcp);
		  }
		  out.println("<br/>尝试连接数据库.."+(gcp.checked?"成功":"失败")+"<br/>");
	  }  
  }
  String msg = request.getParameter("msg");
  if(!Common.isBlank(msg)) {
	  out.println(msg);
  }
%>
<form method="post" action="configConnection.jsp">
<table border=1>
<caption>创建或配置连接参数</caption>
  <tr>
    <td>注释</td>
    <td><input type="text" name="comment" value="<%=Common.noNull(gcp.comment)%>"/></td>
    <td></td>
  </tr>
  <tr>
    <td>IP地址</td>
    <td><input type="text" name="serverIP" value="<%=Common.noNull(gcp.serverIP)%>"/></td>
    <td>暂不支持多个IP</td>
  </tr>
  <tr>
    <td>用户名</td>
    <td><input type="text" name="username" value="<%=Common.noNull(gcp.username)%>"/></td>
  </tr>
    <tr>
    <td>密码</td>
    <td><input type="password" name="password" value="<%=Common.noNull(gcp.password)%>"/></td>
  </tr>
  <tr>
    <td>默认数据库名字</td>
    <td><input type="text" name="dbName" value="<%=Common.noNull(gcp.dbName)%>"/></td>
  </tr>
  <tr>
    <td>最大结果集行数</td>
    <td><input type="text" name="limit" value="<%=gcp.getLimit()%>"/></td>
    <td>1到<%=GBaseConnectionParamater.limit_MAX %></td>
  </tr>
  <tr>
    <td>查询超时秒数</td>
    <td><input type="text" name="timeout" value="<%=gcp.getTimeout()%>"/></td>
    <td>>=1</td>
  </tr>
  <tr>
    <td colspan="3" align="center"><input type="submit" value="保存配置"/></td>
  </tr>      
</table>
</form>
备注:数据据连接名称不同，则保存为新的连接，否则更新连接参数。
</body>
</html>