<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="util.*,cn.gbase8.gswt.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SQL编辑</title>
<link href="common.css" rel="stylesheet">

<style>
.pageBtn{
    -webkit-animation: twinkling 1s 1 ease-in-out; 
    -moz-animation: twinkling 1s 1 ease-in-out;
    animation: twinkling 1s 1 ease-in-out;
    font-size: 13.5px;
    height: 20px;
    color: #000000; 
    background-color:#EEEEEE;  
    text-align:center;
    border-width:1px;
    border-color:#000;
    border-style:solid;
    cursor:pointer;
    moz-user-select: -moz-none;
	-moz-user-select: none;
	-o-user-select:none;
	-khtml-user-select:none;
	-webkit-user-select:none;
	-ms-user-select:none;
	user-select:none;
}
.downBtn{
    opacity: .1;
    text-shadow: 0px 0px 25px red;
    font-size: 13.5px;
    height: 14px;
    color: #000000; 
    text-align:center;
    border-width:1px;
    border-color:#000;
    border-style:solid;
    cursor:pointer;
    moz-user-select: -moz-none;
	-moz-user-select: none;
	-o-user-select:none;
	-khtml-user-select:none;
	-webkit-user-select:none;
	-ms-user-select:none;
	user-select:none;
}
.pageBtn:visited{opacity: .1;}
hr{
    height: 1px;
    background-color: #ccc;
    border: none;
}
</style>
</head>
<body onkeydown="checkKey(event)">
<%@ include file ="checklogin.inc.jsp" %>
<%
  request.setCharacterEncoding("utf-8");
  String sign = request.getParameter("s");
  Function func; 
  if(Common.isBlank(sign)) {
	  func = new Function();
  }else {
	  func=loginUID.getFunction(sign);
	  if(func==null) {
		  out.println("选择的SQL不存在");
		  return;
	  }
  }
%>
<form id="SQL_FORM" name="SQL_FORM" method="post" >
<table width="100%">
  <tr>
    <td width="30">注释</td>
    <td><input class='formVal' type="text" name="comment" id="comment" size="50" value="<%=Common.noNull(func.comment)%>"/></td>
    <td><div id="BTN_RUN" class="pageBtn" style="width:200px"onMouseDown="this.className='downBtn'" onmouseout="this.className='pageBtn'"  onMouseUp="this.className='pageBtn'" onclick="doSQL(); return false;">执行(Ctrl+Enter)</div></td>
    <td><div id="BTN_SAVE" class="pageBtn" onMouseDown="this.className='downBtn'" onmouseout="this.className='pageBtn'" onMouseUp="this.className='pageBtn'"  onclick='doSave();return false'><%=func.filename==null?"保存":"更新"%>(Ctrl+s)</div></td>
    <td>
      <input type="checkbox" id="up" name="up" value="Y" <%="Y".equals(func.up)?"checked":"" %>/>置顶 
    </td>
    <td>
    <% if(func.filename!=null){ %>
    <a href='deleteFunction.jsp?s=<%=func.filename%>' onclick="return confirm('确认删除[<%=func.comment%>]?')"  target='MAIN_WINDOW'>删除</a>
    <%} %>
    </td>
  </tr>
  <tr>
    <td width="5%">SQL</td>
    <td width="95%" colspan="6"><textarea rows="10" onBlur="saveTextAreaSQL();return false;" onFocus="setTextAreaSQL();return false;" style="width:100%" name="sql" id="sql"><%=Common.noNull(func.sql)%></textarea></td>
  </tr>
</table>
</form>
<div ID="execute_result">提示：不需要DELIMITER, 因为SQL会被整体提交，存储过程函数等不需要DELIMITER, </div>
<script type="text/javaScript">
function checkKey(event){
	// 监听 Ctrl + Enter
    if (event.ctrlKey && event.keyCode == 13) {
    	event.preventDefault();
        saveTextAreaSQL();
        doSQL();
    }else if(event.ctrlKey && event.keyCode == 83) {
    	event.preventDefault();
    	doSave();
    }
}
function getSelectText(id) {
    var t = document.getElementById(id);
    if (window.getSelection) {
        if (t.selectionStart != undefined && t.selectionEnd != undefined) {
            return t.value.substring(t.selectionStart, t.selectionEnd);
        } else {
            return "";
        }
    } else {
        return document.selection.createRange().text;
    }
}
sqlSelectionStart=0;
sqlSelectionEnd=0;

function saveTextAreaSQL() {
    var t = document.getElementById('sql');
    if (window.getSelection) {
        if (t.selectionStart != undefined && t.selectionEnd != undefined) {
        	sqlSelectionStart=t.selectionStart;
        	sqlSelectionEnd=t.selectionEnd;
        }
    }
}
function setTextAreaSQL() {
	if(sqlSelectionStart<sqlSelectionEnd ) {
	    var inputDom = document.getElementById('sql');
	    inputDom.focus();
	    if (inputDom.setSelectionRange)
	    { 
	    	inputDom.setSelectionRange(sqlSelectionStart, sqlSelectionEnd);
	    }  
	    else if (inputDom.createTextRange) //IE
	    {
	        var range = inputDom.createTextRange(); 
	        range.collapse(true); 
	        range.moveStart('character', sqlSelectionStart); 
	        range.moveEnd('character', sqlSelectionEnd - sqlSelectionStart-1); 
	        range.select();
	    }
	}	
}

	
function doSQL() {	
	document.getElementById('execute_result').innerHTML='';

    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function()
    {
        if(xmlHttp.readyState == 4 && xmlHttp.status == 200)
        {
            document.getElementById('execute_result').innerHTML=xmlHttp.responseText;
        }
    }
    xmlHttp.open("post", "executeFunction.jsp"); 
    xmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
    if(sqlSelectionStart<sqlSelectionEnd ) {
        cmd=getSelectText('sql');
    }else {
    	cmd=document.getElementById('sql').value;
    }
    xmlHttp.send("sql="+encodeURIComponent(cmd)); 
}
function doSave() {
	document.getElementById('execute_result').innerHTML='';
    if(document.getElementById('comment').value == "") {
    	alert('SQL唯一标识必须填写，如和其它的重复，将会覆盖');
    	return false;
    }
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function()
    {
        if(xmlHttp.readyState == 4 && xmlHttp.status == 200)
        {        	
            document.getElementById('execute_result').innerHTML=xmlHttp.responseText;
            parent.FUNCTION_WINDOW.location.reload();            
        }
    }
    xmlHttp.open("post", "saveFunction.jsp"); 
    xmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
    
    var checkbox = document.getElementById('up');
    if (checkbox.checked) {
    	checkboxValue=checkbox.value;       
    }else{
    	checkboxValue=''
    }
    xmlHttp.send("s=<%=Common.noNull(func.filename)%>&comment="+encodeURIComponent(document.getElementById('comment').value)+"&sql="+encodeURIComponent(document.getElementById('sql').value)+"&up="+checkboxValue); 
}
</script>
</body>
</html>